com.snowflake.client.jdbc

## Class SnowflakeFileTransferAgent.DownloadCommandEncryptionFacade

- java.lang.Object
- - com.snowflake.client.jdbc.SnowflakeFileTransferAgent.DownloadCommandFacade
  - - com.snowflake.client.jdbc.SnowflakeFileTransferAgent.DownloadCommandEncryptionFacade

Enclosing class:
  SnowflakeFileTransferAgent

    public class SnowflakeFileTransferAgent.DownloadCommandEncryptionFacade
    extends SnowflakeFileTransferAgent.DownloadCommandFacade

### Constructor Summary

Constructors
Constructor and Description
`DownloadCommandEncryptionFacade(String file, String resultStatus, String errorDetails, long size, boolean isEncrypted)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DownloadCommandEncryptionFacade

    public DownloadCommandEncryptionFacade(String file,
                                           String resultStatus,
                                           String errorDetails,
                                           long size,
                                           boolean isEncrypted)